Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225943 - Merge Review: jdom
Summary: Merge Review: jdom
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Spike
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:12 UTC by Nobody's working on this, feel free to take it
Modified: 2018-04-11 08:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-03 08:45:03 UTC
SpikeFedora: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:12:12 UTC
Fedora Merge Review: jdom

http://cvs.fedora.redhat.com/viewcvs/devel/jdom/
Initial Owner: dbhole@redhat.com

Comment 1 Spike 2010-10-28 12:45:53 UTC
I'll take this one.

Comment 2 Spike 2010-10-28 13:22:51 UTC
=== REQUIRED ITEMS ===
[!]  Rpmlint output:
jdom.src: I: enchant-dictionary-not-found en_US
jdom.src: W: non-standard-group Development/Libraries/Java
jdom.src:179: W: libdir-macro-in-noarch-package (main package) %attr(-,root,root) %{_libdir}/gcj/%{name}
jdom.src:62: W: mixed-use-of-spaces-and-tabs (spaces: line 37, tab: line 62)
jdom.spec:44: W: non-standard-group Development/Libraries/Java
jdom.spec:77: W: non-standard-group Development/Documentation
jdom.spec:88: W: non-standard-group Development/Libraries/Java
jdom.spec:179: W: libdir-macro-in-noarch-package (main package) %attr(-,root,root) %{_libdir}/gcj/%{name}
jdom.spec:62: W: mixed-use-of-spaces-and-tabs (spaces: line 37, tab: line 62)
jdom-demo.noarch: W: non-standard-group Development/Libraries/Java
jdom-demo.noarch: W: no-documentation
jdom-javadoc.noarch: W: non-standard-group Development/Documentation
jdom-javadoc.noarch: W: dangerous-command-in-%post rm
jdom-javadoc.noarch: W: dangerous-command-in-%postun rm
jdom.i386: W: non-standard-group Development/Libraries/Java
jdom.i386: W: incoherent-version-in-changelog 1.1.1-1 ['0:1.1.1-1.fc15', '0:1.1.1-1']
jdom.i386: W: non-conffile-in-etc /etc/maven/fragments/jdom
5 packages and 1 specfiles checked; 0 errors, 16 warnings.


[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[!]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[!]  License field in the package spec file matches the actual license.
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 0ad116194e3101fb08fab8f6f00cc58f
MD5SUM upstream package: 0ad116194e3101fb08fab8f6f00cc58f
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[!]  Packages have proper BuildRequires/Requires on jpackage-utils
[!]  Javadoc subpackages have Require: jpackage-utils
[!]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven2.jpp.depmap.file=*" explain why it's needed in a comment
[x]  Package uses %update_maven_depmap in %post/%postun
[!]  Packages have Requires(post) and Requires(postun) on jpackage-utils (for %update_maven_depmap macro)

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Javadocs are placed in %{_javadocdir}/%{name}-%{version} with %{_javadocdir}/%{name} symlink
[x]  Jar files are installed to %{_javadir}/%{name}-%{version}.jar with %{_javadir}/%{name}.jar (unversioned) symlink
[!]  If package contains pom.xml files install it (including depmaps) even when building with ant 
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on: fedora-rawhide-i386


=== Issues ===
0. drop gcj
1. rpmlint issues
2. Buildroot
3. License: Upstream (http://www.jdom.org/docs/faq.html#a0030) says, it's 'an Apache-style open source license'. Please check the license tag (not sure which version or if we have an appropriate tag at all)
4. Check BRs/Rs for jpackage-utils (and java/java-devel)
5. Check javadoc Rs for jpackage-utils
6. global -> define
7. R(post) and R(postun) jpackage-utils missing (for the update_maven_depmap macro)
8. The pom file is installed correctly, but specified as additional source from maven repo. Please use the one included in the source tarball or leave a comment why that's impossible.

=== Final Notes ===
1. A short comment about the patches would be nice.

Comment 3 Alexander Kurtakov 2010-11-01 11:32:57 UTC
(In reply to comment #2)
> === Issues ===
> 0. drop gcj
Fixed.
> 1. rpmlint issues
Fixed.
> 2. Buildroot
Removed.
> 3. License: Upstream (http://www.jdom.org/docs/faq.html#a0030) says, it's 'an
> Apache-style open source license'. Please check the license tag (not sure which
> version or if we have an appropriate tag at all)
Changed to ASL
> 4. Check BRs/Rs for jpackage-utils (and java/java-devel)
Fixed
> 5. Check javadoc Rs for jpackage-utils
Fixed.
> 6. global -> define
Removed.
> 7. R(post) and R(postun) jpackage-utils missing (for the update_maven_depmap
> macro)
Fixed.
> 8. The pom file is installed correctly, but specified as additional source from
> maven repo. Please use the one included in the source tarball or leave a
> comment why that's impossible.
I can't find a pom included
> 
> === Final Notes ===
> 1. A short comment about the patches would be nice.

Comment 4 Alexander Kurtakov 2010-11-03 08:40:11 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=2573408
Really fixed the license.

Comment 5 Spike 2010-11-03 08:45:03 UTC
(In reply to comment #3)
> > 8. The pom file is installed correctly, but specified as additional source from
> > maven repo. Please use the one included in the source tarball or leave a
> > comment why that's impossible.
> I can't find a pom included

Must have seen a ghost.

================
*** APPROVED ***
================

closing...


Note You need to log in before you can comment on or make changes to this bug.